Subject: Me 262 modelling article
From: "Steve Bamford" <[email-masked]>
To: "[email-masked]"
Date: Sun, 18 Feb 2001 11:16:34 -0800

The 1/72 Revell Germany Me 262 .

The Me 262 that I had built is the night version one. The Germans had only about 4 of those. The plane had jet engines and it was pretty hard for 51 to shot it down.

The model comes with inside panel line and with two different decal options. The model is on the level of the Hasegava, but it cost me way cheaper then Hasegava kit back in Ukraine.

I detailed the cockpit, fixed the lending gear problem, and putted the flaps down. The kit is a real tail stander I filled the whole nose part with Playdo, which made the model heavy. I decided to open the canopy, so I had to cut the clear part, the way it should be when its open. 

The model was painted with Tamiya paints, ahd the 10$ value Russian airbrush. I used the Tamiya masking tape to make the black and light gray camouflage. The dark gray dots were free hand airbrushed.

The kit was an easy kit was easy to built there were no fitting problems. The only detail I would recommend to pay attention too is the nose you have to make it heavy so the model wouldn't end up standing on its tail. I like the finished model, because it looks very good when it's done.